import { Select } from "./Applet/Init";
import { BindTests } from "./Ecs/test";
import { Main } from "./Game/Main";

/* // Hot Module Reloading stub, if that's viable
 * declare const module: any;
 * if(module.hot) {
 *     const gen = module.hot.data?.gen ?? 0;
 *     module.hot.accept();
 *     module.hot.dispose((data: any) => {
 *         data.gen = gen + 1;
 *     });
 * }
 */

Select("#GameCanvas").forEachCanvas((c, cx, keys) => new Main(c, cx, keys));

BindTests();
